package com.hz.pm.api.projectlib.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.common.model.constant.BizConst;
import com.hz.pm.api.projectlib.model.entity.ProjectInst;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Poffy
 * @since 2023-02-13
 */
public interface IProjectInstService extends IService<ProjectInst> {

    default ProjectInst getByInstCode(String instCode) {
        return getOne(Wrappers.lambdaQuery(ProjectInst.class)
                .eq(ProjectInst::getInstCode, instCode)
                .last(BizConst.LIMIT_1));
    }

}
